[arch-commits] Commit in minicom/trunk (ChangeLog PKGBUILD)

Douglas Soares de Andrade douglas at archlinux.org
Thu Jul 10 00:55:43 EDT 2008


    Date: Thursday, July 10, 2008 @ 00:55:42
  Author: douglas
Revision: 4781

upgpkg: minicom 2.3-1
    Updating for i686: 2.3 (will show 2.2 in --version)

Added:
  minicom/trunk/ChangeLog
Modified:
  minicom/trunk/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   22 ++++++++++++----------
 2 files changed, 17 insertions(+), 10 deletions(-)

Added: ChangeLog
===================================================================
--- ChangeLog	                        (rev 0)
+++ ChangeLog	2008-07-10 04:55:42 UTC (rev 4781)
@@ -0,0 +1,5 @@
+
+2008-07-10  Douglas Soares de Andrade  <douglas at archlinux.org>
+	
+	* Updated for i686: 2.3
+

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-10 03:11:53 UTC (rev 4780)
+++ PKGBUILD	2008-07-10 04:55:42 UTC (rev 4781)
@@ -2,24 +2,26 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: dorphell <dorphell at archlinux.org>
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
+
 pkgname=minicom
-pkgver=2.2
+pkgver=2.3
 pkgrel=1
 pkgdesc="A serial communication program"
-arch=(i686 x86_64)
+arch=('i686'  'x86_64')
+license=('GPL')
 depends=('bash')
-source=(http://alioth.debian.org/frs/download.php/1806/$pkgname-$pkgver.tar.gz)
+source=(http://alioth.debian.org/frs/download.php/2332/$pkgname-$pkgver.tar.gz)
 	#http://www.gentoo.org/cgi-bin/viewcvs.cgi/*checkout*/net-dialup/minicom/files/minicom-2.1-gcc4.patch)
 url="http://alioth.debian.org/projects/minicom/"
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+    cd $startdir/src/$pkgname-2.2
+    
+    # arch64 fix / doesn't apply to 2.2, please check!
+    #[ "$CARCH" = "x86_64" ] && patch -Np1 -i ../minicom-2.1-gcc4.patch || return 1
 
-  # arch64 fix / doesn't apply to 2.2, please check!
-  #[ "$CARCH" = "x86_64" ] && patch -Np1 -i ../minicom-2.1-gcc4.patch || return 1
-
-  ./configure --prefix=/usr --sysconfdir=/etc
-  make || return 1
-  make DESTDIR=$startdir/pkg install
+    ./configure --prefix=/usr --sysconfdir=/etc
+    make || return 1
+    make DESTDIR=$startdir/pkg install
 }
 md5sums=('13933c8777839f00e3730df23599dc93')





More information about the arch-commits mailing list